# Uses of Class
org.eclipse.draw2d.text.TextFragmentBox

Packages that use TextFragmentBox
Package
Description
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of TextFragmentBox in org.eclipse.draw2d.text

Methods in org.eclipse.draw2d.text that return TextFragmentBox
Modifier and Type
Method
Description
`protected TextFragmentBox`
TextLayout.`getFragment(int i, List<TextFragmentBox> fragments)`
Reuses an existing `TextFragmentBox`, or creates a new one.
Methods in org.eclipse.draw2d.text that return types with arguments of type TextFragmentBox
Modifier and Type
Method
Description
`List<? extends TextFragmentBox>`
TextFlow.`getFragments()`
`protected List<? extends TextFragmentBox>`
TextFlow.`getFragmentsWithoutBorder()`
Returns the `TextFragmentBox` fragments contained in this TextFlow, not including the border fragments.
Methods in org.eclipse.draw2d.text with parameters of type TextFragmentBox
Modifier and Type
Method
Description
`protected float`
FlowUtilities.`getAverageCharWidth(TextFragmentBox fragment, Font font)`
Gets the average character width.
`protected String`
TextFlow.`getBidiSubstring(TextFragmentBox box, int index)`
`protected final void`
FlowUtilities.`setupFragment(TextFragmentBox fragment, Font font, String string)`
Sets up the fragment width based using the font and string passed in.
`protected final int`
FlowUtilities.`wrapFragmentInContext(TextFragmentBox frag, String string, FlowContext context, org.eclipse.draw2d.text.FlowUtilities.LookAhead lookahead, Font font, int wrapping)`
Sets up a fragment and returns the number of characters consumed from the given String.
Method parameters in org.eclipse.draw2d.text with type arguments of type TextFragmentBox
Modifier and Type
Method
Description
`protected TextFragmentBox`
TextLayout.`getFragment(int i, List<TextFragmentBox> fragments)`
Reuses an existing `TextFragmentBox`, or creates a new one.